Description
| have a few ideas to enhance the edit tracker view.

Indicate archived projects

The edit tracker view shows the projects where the tracker is in use and includes archived projects, which it should, but it doesn't
indicate the archived projects.

Option 1

1. Make the active project names links to the project
2. Leave the archived project names black w/o link

Example:
Project 1
Project 2
Option 2

1. Add a "View" link at the end of each project name
2. Add an "Archived" label at the end of each archived project name

Example:
Project 1 View
Project 2 Archived

Italicizing the archived project names would work too.

Indicate issues in each project

Another idea is to indicate the number of issues in each project with the selected tracker. This could be done in a similar format as on
the Project overview.

(20 open / 500) or (500 issues)

This issue total could also function as a link to the project issue view filtered to the tracker being edited.

Example:

Project 1 (20 open / 500)

Project 2 (500 issues) Archived

This is quite useful when you are not a member in every project (as I'd expect most administrators are). These changes would make

it much easier to determine the usage of a tracker and would greatly assist when attempting to delete a tracker as | was doing when |
came up with these ideas.

Related issues:
Related to Redmine - Feature #34340: Make archived projects visually distingu... Closed

History

#1 - 2011-05-31 15:16 - Robert Schneider
I'm wondering if the archived projects could be removed from the view. Does it make sense to edit them if they are archived?

#2 - 2011-06-03 09:00 - Etienne Massip

- Category set to Administration

#3 - 2020-12-30 02:41 - Go MAEDA
- Related to Feature #34340: Make archived projects visually distinguishable in nested projects lists added

2025-07-01 22


http://www.tcpdf.org

